DbEnv::rep_get_priority()
Prev | Chapter 11. Replication Methods | Next

## DbEnv::rep_get_priority()

    #include <db_cxx.h>

    int
    DbEnv::rep_get_priority(u_int32_t *priorityp);

The `DbEnv::rep_get_priority()` method returns the database environment priority as configured using the DbEnv::rep_set_priority() method.

The `DbEnv::rep_get_priority()` method may be called at any time during the life of the application.

The `DbEnv::rep_get_priority()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### priorityp

The `DbEnv::rep_get_priority()` method returns the database environment priority in priorityp.

### Class

DbEnv

### See Also

Replication and Related Methods, DbEnv::rep_set_priority()

Prev | Up | Next
DbEnv::rep_get_nsites() | Home | DbEnv::rep_get_request()